# $Revision: 1.3 $, $Date: 2007-12-07 16:56:38 $
Summary:	CXSparse: extended version of a concise sparse matrix package
Name:		CXSparse
Version:	0
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/CXSparse/%{name}.tar.gz
# Source0-md5:	b8061452b75014dee69e5c5fc33cfd25
Patch0:		%{name}-ufconfig.patch
Patch1:		%{name}-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/CXSparse/
BuildRequires:	UFconfig
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CXSparse is an extended version of CSparse - a small yet
feature-rich sparse matrix package, with support for double
or complex matrices, with int or long integers.

%package devel
Summary:	Header files for CXSparse library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CXSparse
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	UFconfig

%description devel
Header files for CXSparse library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki CXSparse.

%package static
Summary:	Static CXSparse library
Summary(pl.UTF-8):	Statyczna biblioteka CXSparse
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CXSparse library.

%description static -l pl.UTF-8
Statyczna biblioteka CXSparse.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	F77="gfortran" \
	CFLAGS="%{rpmcflags} -fPIC" \
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/cxsparse

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/cxsparse

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_libdir}/libcxsparse.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcxsparse.so
%{_libdir}/libcxsparse.la
%{_includedir}/cxsparse

%files static
%defattr(644,root,root,755)
%{_libdir}/libcxsparse.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: CXSparse.spec,v $
Revision 1.3  2007-12-07 16:56:38  baggins
- consistent library name in summary/description

Revision 1.2  2007-12-07 16:49:06  baggins
- use private include dir

Revision 1.1  2007-12-07 16:27:41  baggins
- initial revision

